Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class IndexStorageWriteAttributeHandler

    java.lang.Object
      org.jboss.as.controller.AbstractWriteAttributeHandler<Void>
          org.modeshape.jboss.subsystem.AbstractRepositoryConfigWriteAttributeHandler
              org.modeshape.jboss.subsystem.IndexStorageWriteAttributeHandler

All Implemented Interfaces:
  org.jboss.as.controller.OperationStepHandler

    public class IndexStorageWriteAttributeHandler

extends AbstractRepositoryConfigWriteAttributeHandler

`OperationStepHandler` implementations that handles changes to the model values for the index storage submodel's `attribute definitions`, including the different kinds of index storage. Those attributes that can be changed `RESTART_NONE without restarting` will be immediately reflected in the repository's configuration; other attributes will be changed in the submodel and used upon the next restart.

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.as.controller.AbstractWriteAttributeHandler
`org.jboss.as.controller.AbstractWriteAttributeHandler.HandbackHolder<T>`

Method Summary

Methods inherited from class org.modeshape.jboss.subsystem.AbstractRepositoryConfigWriteAttributeHandler
`allBut, applyUpdateToRuntime, changeConfiguration, changeField, registerAttributes, repositoryName, revertUpdateToRuntime, unique`

Methods inherited from class org.jboss.as.controller.AbstractWriteAttributeHandler
`execute, getAttributeDefinition, requiresRuntime, validateResolvedValue, validateUnresolvedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.